/*
 * Copyright (C) 2006-2008 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file string.h \brief Exported sybmols from string.c */

__must_check __malloc void *adu_realloc(void *p, size_t size);
__must_check __malloc void *adu_malloc(size_t size);
__must_check __malloc void *adu_calloc(size_t size);
__must_check __malloc char *adu_strdup(const char *s);
__must_check __malloc char *adu_strcat(char *a, const char *b);
__must_check __malloc __printf_1_2 char *make_message(const char *fmt, ...);
__must_check __malloc char *absolute_path(const char *path);
__must_check int atoi64(const char *str, int64_t *result);
unsigned split_args(char *args, char *** const argv_ptr, const char *delim);
int create_argv(const char *line, char ***result);
void free_argv(char **argv);
